//
//  Logger.java
//  CocoDonkey
//	$Id: Logger.java,v 1.3 2002/07/21 18:35:58 fortun Exp $
//
//  Created by Fred Bonzoun on Fri Jul 05 2002.
//  Copyright (c) 2002 Bonzoun. All rights reserved.
//
//  This library is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published
//  by the Free Software Foundation; either version 2.1 of the License, or
//  (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

import java.io.*;

public class Logger implements net.bonzoun.cocodonkey.DonkeyTalker.Logger {

    public void log(String s) {
        if (Preferences.trace()) {
            try {
                FileWriter file = new FileWriter("/tmp/cocodonkey.console", true);
                file.write(s);
                file.write('\n');
                file.close();
            }
            catch(IOException e) {
            }
        }
    }
}

// $Log: Logger.java,v $
// Revision 1.3  2002/07/21 18:35:58  fortun
// Proper creator set
//
// Revision 1.2  2002/07/14 22:44:24  fortun
// No wuses a FileWriter, should be better isn't it ?
//
// Revision 1.1  2002/07/04 23:59:17  fortun
// Logs output of the core
//
