//
//  main.m
//  CocoDonkey
//  $Id: main.m,v 1.3 2002/07/21 15:16:15 fortun Exp $
//
//  Created by Fred Bonzoun on Sat May 11 2002.
//  Copyright (c) 2002 Bonzoun. All rights reserved.
//
//  This library is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published
//  by the Free Software Foundation; either version 2.1 of the License, or
//  (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#import <Cocoa/Cocoa.h>

int main(int argc, const char *argv[])
{
    NSString *mainNIB = @"MainMenu";

    if (argc == 2) {
        const char *requestedPassword = argv[1];
        if (strncmp(requestedPassword, "-psn_", strlen("-psn_")) != 0)
            mainNIB = @"SSHPasswordPanel";
    }

    [NSApplication sharedApplication];
    [NSBundle loadNibNamed: mainNIB owner:NSApp];
    [NSApp run];

    return 0;
}
