//
//  Util.java
//  CocoDonkey
//	$Id: Util.java,v 1.2 2002/07/05 18:38:33 fortun Exp $
//
//  Created by Fred Bonzoun on Fri Jul 05 2002.
//  Copyright (c) 2002 Bonzoun. All rights reserved.
//
//  This library is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published
//  by the Free Software Foundation; either version 2.1 of the License, or
//  (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

package net.bonzoun.cocodonkey;

public class Util {

    public static boolean launchShell(String cmd, java.io.File dir) {
        try {
            Process p;
            if (dir != null)
                p = Runtime.getRuntime().exec("sh -s", null, dir);
            else
                p = Runtime.getRuntime().exec("sh -s");
            java.io.PrintStream in = new java.io.PrintStream(p.getOutputStream());
            in.println(cmd);
            in.flush();
            return true;
        }
        catch(java.io.IOException e) {
            e.printStackTrace();
            return false;
        }
    }
}


// $Log: Util.java,v $
// Revision 1.2  2002/07/05 18:38:33  fortun
// Current dir param for launchShell
//
// Revision 1.1  2002/07/05 00:02:31  fortun
// *** empty log message ***
//
