//
//  Messages.java
//  CocoDonkey
//  $Id: Messages.java,v 1.2 2002/06/09 15:40:58 fortun Exp $
//
//  Created by Fred Bonzoun on Sun May 19 2002.
//  Copyright (c) 2002 __MyCompanyName__. All rights reserved.
//
//  This library is free software; you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published
//  by the Free Software Foundation; either version 2.1 of the License, or
//  (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

import com.apple.cocoa.foundation.*;

public class Messages {

    public static String string(String s) {
        return NSBundle.mainBundle().localizedStringForKey(s, null, null);
    }

    public static String string(String s, Object p1) {
        s = string(s);
        s = replace(s, p1.toString());
        return s;
    }

    public static String string(String s, int p1) {
        return string(s, String.valueOf(p1));
    }

    public static String string(String s, Object p1, Object p2) {
        s = string(s);
        s = replace(s, p1.toString());
        s = replace(s, p2.toString());
        return s;
    }
    
    private static String replace(String s, String value) {
        int p = s.indexOf("%@");
        if (p==0)
            s = value + s.substring(2);
        else if (p>0 && p+2<s.length())
            s = s.substring(0, p) + value + s.substring(p+2);
        else if (p>0 && p+2>=s.length())
            s = s.substring(0, p) + value;
        return s;
    }
}

// $Log: Messages.java,v $
// Revision 1.2  2002/06/09 15:40:58  fortun
// Added method "string" with 2 arguments
//
// Revision 1.1.1.1  2002/05/21 21:26:10  fortun
//
//
